package CHAPTER05;

class ClassName {
    String type;

    // 기본 생성자 (명시적으로 정의)
    ClassName() {
        this.type = "기본 생성자 실행";
    }
}
public class C5_05_BaseConstructor {
    public static void main(String[] args) {
       ClassName cn = new ClassName();
       System.out.println(cn.type);
    }
}